import matplotlib.pyplot as plot
import numpy as np

def barChart(xAxisLabel, yAxisLabel, title, data_L):
    # The data list data_L is a list of 2-tuples holding y values to be
    # displayed in the bar chart.

    unzippedData = zip(*data_L)
    dataA = unzippedData[0]
    dataB = unzippedData[1]

    width = 0.4
    xVals = np.arange(1,len(data_L) + 1)

    plot.ion()
    plot.subplot(1,1,1)
    plot.bar(xVals, dataA, width, color = 'g')
    plot.bar(xVals + width, dataB, width, color = 'r')

    plot.xticks(np.arange(0, len(data_L) + 1, 1))

    plot.xlabel(xAxisLabel)
    plot.ylabel(yAxisLabel)
    plot.title(title)

    raw_input("Hit Enter to dismiss the plot.")
    plot.close()

#===============================================================================
# Mainline for testing:

dataVals_L = [[2,3], [4,5], [6,8], [7,6], [3,1]]

barChart("x-axis label goes here.", "Y-axis label goes here.", "Title", dataVals_L)
