import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import axes3d, Axes3D
from matplotlib import cm
from StructBio.Plots.surfacePlotKit import fetchSPB

#===============================================================================
def matplotlibSPB(spbObj, windowTitle = "Surface Plot", plotTitle = ""):   
    plt.ion()

    fig = plt.figure()
    fig.canvas.set_window_title(windowTitle)
    ax = fig.gca(projection='3d', aspect = 1.0)

    surf = ax.plot_surface(spbObj.x_A, spbObj.y_A, spbObj.z_A, rstride=1, cstride=1, cmap=cm.cool,
                           linewidth=0, antialiased=False)

    ax.set_title(plotTitle, fontsize = 14)

    fig.colorbar(surf, shrink=0.5, aspect=5)
    
    raw_input("Hit Enter to dismiss the plot.")
    plt.close()


#===============================================================================
# Mainline:

spb = fetchSPB()

matplotlibSPB(spb)
